| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Slots | List of all members
Digikam::DbEngineErrorHandler Class Referenceabstract
Inheritance diagram for Digikam::DbEngineErrorHandler:

## Public Slots
virtual void | connectionError (DbEngineErrorAnswer *answer, const QSqlError &error, const QString &query)=0
| In the situation of a connection error, all threads will be waiting with their queries and this method is called.
virtual void | consultUserForError (DbEngineErrorAnswer *answer, const QSqlError &error, const QString &query)=0
| In the situation of an error requiring user intervention or information, all threads will be waiting with their queries and this method is called.

## Member Function Documentation

## ◆ connectionError

virtual void Digikam::DbEngineErrorHandler::connectionError | ( | DbEngineErrorAnswer * | answer,
|  | const QSqlError & | error,
|  | const QString & | query
| ) |  |
| pure virtual slot

This method can display an error dialog and try to repair the connection. It must then call either connectionErrorContinueQueries() or connectionErrorAbortQueries(). The method is guaranteed to be invoked in the UI thread.

## ◆ consultUserForError

virtual void Digikam::DbEngineErrorHandler::consultUserForError | ( | DbEngineErrorAnswer * | answer,
|  | const QSqlError & | error,
|  | const QString & | query
| ) |  |
| pure virtual slot

This method can display an error dialog. It must then call either connectionErrorContinueQueries() or connectionErrorAbortQueries(). The method is guaranteed to be invoked in the UI thread.